html, main, body {
  height: 100%;
}

main {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 93vh;
}

main > section {
  height: 100%;
}

main > section:first-of-type {
  background-color: var(--verdeCrusoe);
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-sizing: border-box;
  padding: 1.2em 5em;
  width: 30%;
}

main > section:first-of-type > p {
  color: var(--brancoIvory);
}

main > section:first-of-type > img {
  background-color: var(--verdeCamarone);
  width: 12vw;
  height: 12vw;
  padding: 1.2em 1.2em;
  border-radius: 50%;
}

h1 {
  color: var(--brancoIvory);
}

#infoUsuario {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 80%;
  margin: 0 10%;
}

article:has(> #cadastro) {
  width: 100%;
  box-sizing: border-box;
  text-align: center;
}

#cadastro > button {
  width: 8em;
  margin: 1vw;
}

#cadastro > label {
  display: block;
  text-align: left;
  margin: 1vw;
}

#cadastro > label > input {
  display: block;
  width: 100%;
}

.ocultar {
  display: none;
}

.mensagemErro {
  color: red;
}
